cadenya objectives listrequire "cadenya"
client = Cadenya::Client.new
client.objectives.list().each do |item|
puts item.inspect
endpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.ObjectiveListParams{}
result, err := client.Objectives().List(ctx, params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const page = await client.objectives.list();
for await (const item of page) {
console.log(item);
}from cadenya import Cadenya
with Cadenya() as client:
for item in client.objectives.list():
print(item){
"items": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"labels": {},
"createdAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08"
},
"configSnapshot": {
"agent": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"variationSelectionMode": "VARIATION_SELECTION_MODE_UNSPECIFIED",
"description": "<string>",
"webhookEventsUrl": "<string>",
"systemPromptDataSchema": {},
"outputDefinition": {},
"enableEpisodicMemory": true,
"episodicMemoryTtl": 123
},
"info": {
"variationCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
},
"state": "STATE_UNSPECIFIED"
},
"agentVariation": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"systemPromptTemplate": "<string>",
"progressiveDiscovery": {
"maxTools": 123,
"hints": [
"<string>"
]
},
"constraints": {
"maxToolCalls": 123,
"maxSubObjectives": 123,
"inactivityTimeout": "<string>"
},
"description": "<string>",
"modelConfig": {
"modelId": "claude/opus-4.6",
"temperature": 123,
"topP": 123,
"topK": 123,
"stopSequences": [
"<string>"
],
"maxOutputTokens": 123,
"reasoningEffort": "REASONING_EFFORT_UNSPECIFIED",
"cachingEnabled": true
},
"compactionConfig": {
"triggerThreshold": 123,
"summarization": {
"instructions": "<string>"
},
"toolResultClearing": {
"preserveRecentResults": 123
}
},
"firstUserMessageTemplate": "<string>"
},
"info": {
"toolCount": 123,
"toolSetCount": 123,
"subAgentCount": 123,
"score": 123,
"feedbackCount": 123,
"assignments": [
{
"type": "tool",
"tool": {
"id": "<string>",
"name": "<string>"
},
"id": "avt_01HXKD2E5NQM3T9AYWCFJE6K89"
}
],
"memoryLayerAssignments": [
{
"id": "avml_01HXKD2E5NQM3T9AYWCFX8AF59",
"memoryLayer": {
"id": "<string>",
"name": "<string>"
},
"position": 123
}
],
"memoryLayerCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"model": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
},
"agentSchedule": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"schedule": {
"calendars": [
{
"second": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"minute": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"hour": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"dayOfMonth": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"month": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"dayOfWeek": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"comment": "<string>"
}
],
"intervals": [
{
"every": "<string>",
"offset": "<string>"
}
],
"timezone": "<string>"
},
"overlapPolicy": "OVERLAP_POLICY_UNSPECIFIED",
"firstUserMessage": "<string>",
"variationId": "agentvar_01HXKD2E5NQM3T9AYWCF32BSPP",
"systemPromptData": {},
"firstUserMessageData": {}
},
"info": {
"totalFires": 123,
"nextFireAt": "2023-11-07T05:31:56Z",
"lastFireAt": "2023-11-07T05:31:56Z",
"lastObjectiveId": "obj_01HXKD2E5NQM3T9AYWCFQAZGFV",
"lastSkippedAt": "2023-11-07T05:31:56Z",
"lastSkipReason": "<string>",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
},
"state": "STATE_UNSPECIFIED"
}
},
"state": "STATE_UNSPECIFIED",
"stateMessage": "<string>",
"systemPrompt": "<string>",
"firstUserMessage": "<string>",
"parentObjectiveId": "obj_01HXKD2E5NQM3T9AYWCFQAZGFV",
"secrets": [
{
"name": "<string>"
}
],
"memoryCascade": [
{
"memoryLayerId": "memlyr_01HXKD2E5NQM3T9AYWCFFFBMJH",
"memoryEntryId": "mementry_01HXKD2E5NQM3T9AYWCF5E52Z0"
}
],
"pinnedParameters": {},
"info": {
"totalEvents": 123,
"totalToolCalls": 123,
"totalInputTokens": 123,
"totalOutputTokens": 123,
"totalContextWindows": 123,
"totalIterations": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"effectiveMemoryCascade": [
{
"memoryLayerId": "memlyr_01HXKD2E5NQM3T9AYWCFFFBMJH",
"memoryEntryId": "mementry_01HXKD2E5NQM3T9AYWCF5E52Z0"
}
],
"agent": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"agentVariation": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"currentContextWindowId": "objwin_01HXKD2E5NQM3T9AYWCFN7BSTR",
"tenant": {
"id": "tenant_01HXKD2E5NQM3T9AYWCF133E3Q",
"externalId": "acme-corp",
"name": "Acme Corp"
},
"subject": {
"id": "subj_01HXKD2E5NQM3T9AYWCFQAZGFV",
"externalId": "customer-user-42",
"name": "Jane Doe"
},
"widget": {
"id": "<string>",
"name": "<string>"
}
},
"systemPromptData": {},
"output": {},
"firstUserMessageData": {},
"episodicMemory": {
"key": "<string>",
"memoryLayerId": "memlyr_01HXKD2E5NQM3T9AYWCFFFBMJH"
}
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}List objectives
Lists all objectives in the workspace
cadenya objectives listrequire "cadenya"
client = Cadenya::Client.new
client.objectives.list().each do |item|
puts item.inspect
endpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.ObjectiveListParams{}
result, err := client.Objectives().List(ctx, params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const page = await client.objectives.list();
for await (const item of page) {
console.log(item);
}from cadenya import Cadenya
with Cadenya() as client:
for item in client.objectives.list():
print(item){
"items": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"labels": {},
"createdAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08"
},
"configSnapshot": {
"agent": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"variationSelectionMode": "VARIATION_SELECTION_MODE_UNSPECIFIED",
"description": "<string>",
"webhookEventsUrl": "<string>",
"systemPromptDataSchema": {},
"outputDefinition": {},
"enableEpisodicMemory": true,
"episodicMemoryTtl": 123
},
"info": {
"variationCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
},
"state": "STATE_UNSPECIFIED"
},
"agentVariation": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"systemPromptTemplate": "<string>",
"progressiveDiscovery": {
"maxTools": 123,
"hints": [
"<string>"
]
},
"constraints": {
"maxToolCalls": 123,
"maxSubObjectives": 123,
"inactivityTimeout": "<string>"
},
"description": "<string>",
"modelConfig": {
"modelId": "claude/opus-4.6",
"temperature": 123,
"topP": 123,
"topK": 123,
"stopSequences": [
"<string>"
],
"maxOutputTokens": 123,
"reasoningEffort": "REASONING_EFFORT_UNSPECIFIED",
"cachingEnabled": true
},
"compactionConfig": {
"triggerThreshold": 123,
"summarization": {
"instructions": "<string>"
},
"toolResultClearing": {
"preserveRecentResults": 123
}
},
"firstUserMessageTemplate": "<string>"
},
"info": {
"toolCount": 123,
"toolSetCount": 123,
"subAgentCount": 123,
"score": 123,
"feedbackCount": 123,
"assignments": [
{
"type": "tool",
"tool": {
"id": "<string>",
"name": "<string>"
},
"id": "avt_01HXKD2E5NQM3T9AYWCFJE6K89"
}
],
"memoryLayerAssignments": [
{
"id": "avml_01HXKD2E5NQM3T9AYWCFX8AF59",
"memoryLayer": {
"id": "<string>",
"name": "<string>"
},
"position": 123
}
],
"memoryLayerCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"model": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
},
"agentSchedule": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"schedule": {
"calendars": [
{
"second": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"minute": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"hour": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"dayOfMonth": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"month": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"dayOfWeek": [
{
"start": 123,
"end": 123,
"step": 123
}
],
"comment": "<string>"
}
],
"intervals": [
{
"every": "<string>",
"offset": "<string>"
}
],
"timezone": "<string>"
},
"overlapPolicy": "OVERLAP_POLICY_UNSPECIFIED",
"firstUserMessage": "<string>",
"variationId": "agentvar_01HXKD2E5NQM3T9AYWCF32BSPP",
"systemPromptData": {},
"firstUserMessageData": {}
},
"info": {
"totalFires": 123,
"nextFireAt": "2023-11-07T05:31:56Z",
"lastFireAt": "2023-11-07T05:31:56Z",
"lastObjectiveId": "obj_01HXKD2E5NQM3T9AYWCFQAZGFV",
"lastSkippedAt": "2023-11-07T05:31:56Z",
"lastSkipReason": "<string>",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
},
"state": "STATE_UNSPECIFIED"
}
},
"state": "STATE_UNSPECIFIED",
"stateMessage": "<string>",
"systemPrompt": "<string>",
"firstUserMessage": "<string>",
"parentObjectiveId": "obj_01HXKD2E5NQM3T9AYWCFQAZGFV",
"secrets": [
{
"name": "<string>"
}
],
"memoryCascade": [
{
"memoryLayerId": "memlyr_01HXKD2E5NQM3T9AYWCFFFBMJH",
"memoryEntryId": "mementry_01HXKD2E5NQM3T9AYWCF5E52Z0"
}
],
"pinnedParameters": {},
"info": {
"totalEvents": 123,
"totalToolCalls": 123,
"totalInputTokens": 123,
"totalOutputTokens": 123,
"totalContextWindows": 123,
"totalIterations": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"effectiveMemoryCascade": [
{
"memoryLayerId": "memlyr_01HXKD2E5NQM3T9AYWCFFFBMJH",
"memoryEntryId": "mementry_01HXKD2E5NQM3T9AYWCF5E52Z0"
}
],
"agent": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"agentVariation": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"currentContextWindowId": "objwin_01HXKD2E5NQM3T9AYWCFN7BSTR",
"tenant": {
"id": "tenant_01HXKD2E5NQM3T9AYWCF133E3Q",
"externalId": "acme-corp",
"name": "Acme Corp"
},
"subject": {
"id": "subj_01HXKD2E5NQM3T9AYWCFQAZGFV",
"externalId": "customer-user-42",
"name": "Jane Doe"
},
"widget": {
"id": "<string>",
"name": "<string>"
}
},
"systemPromptData": {},
"output": {},
"firstUserMessageData": {},
"episodicMemory": {
"key": "<string>",
"memoryLayerId": "memlyr_01HXKD2E5NQM3T9AYWCFFFBMJH"
}
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"
Query Parameters
Maximum number of results to return
Pagination cursor from previous response
Agent ID for filtering
"agent_01HXKD2E5NQM3T9AYWCFMGWT9Y"
Optional filters
Filter by state
STATE_UNSPECIFIED, STATE_PENDING, STATE_RUNNING, STATE_WAITING, STATE_FAILED, STATE_CANCELLED, STATE_FINALIZED, STATE_TIMED_OUT "profile_01HXKD2E5NQM3T9AYWCFS0AP08"
Sort order for results (asc or desc by creation time)
When set to true you may use more of your alloted API rate-limit
Filter to objectives produced by a specific AgentSchedule. Accepts canonical as_… form or external_id: form.
Filters by metadata labels. Comma-separated key=value pairs, e.g. "env=prod,team=ai". A resource matches only if every pair matches exactly (AND semantics).
Filter to objectives associated with a tenant. Accepts the canonical
tenant_… form or the external_id:<value> form.
Filter to objectives associated with a subject. Accepts the canonical
subj_… form or the external_id:<value> form; the external_id form is
scoped within a tenant and requires tenant_id to also be set.
Filter to objectives whose conversation ran through a widget. Accepts
the canonical wgt_… form or the external_id:<value> form.
Filter to objectives created by a specific widget session.